Bug 806869 - qpid-printevents broken
qpid-printevents broken
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: qpid-tools (Show other bugs)
2.1.2
Unspecified Unspecified
high Severity high
: 2.1.2
: ---
Assigned To: mick
Frantisek Reznicek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-26 08:01 EDT by Petr Matousek
Modified: 2015-11-15 20:14 EST (History)
4 users (show)

See Also:
Fixed In Version: qpid-qmf-0.14-7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Apache JIRA QPID-3919 None None None Never

  None (edit)
Description Petr Matousek 2012-03-26 08:01:04 EDT
Description of problem:

Running the qpid-printevents utility fails due to the following type error:

TypeError: cannot concatenate 'str' and 'instance' objects

Qpid events are not logged.

This was seen on rhel5.8 and rhel6.2 (x86_64 & i386)

Version-Release number of selected component (if applicable):
qpid-tools-0.14-1.el6
qpid-tools-0.14-1.el5
qpid-cpp-0.14-12.el6
qpid-cpp-0.14-14.el5

How reproducible:
100%

Steps to Reproduce:
1. run qpid-printevents
2. no events are logged, TypeError displayed
  
Actual results:
EXCEPTION in Broker.

Expected results:
qpid events are properly logged, no error is displayed

Additional info:

# qpid-printevents
Mon Mar 26 11:47:04 2012 NOTIC qpid-printevents:brokerConnected broker=localhost:5672
EXCEPTION in Broker._v1Cb: cannot concatenate 'str' and 'instance' objects
Traceback (most recent call last):
  File "/usr/lib64/python2.6/site-packages/qmf/console.py", line 2787, in _v1Dispatch
    self._v1DispatchProtected(msg)
  File "/usr/lib64/python2.6/site-packages/qmf/console.py", line 2842, in _v1DispatchProtected
    agent._handleQmfV1Message(opcode, seq, mp, ah, codec)
  File "/usr/lib64/python2.6/site-packages/qmf/console.py", line 3646, in _handleQmfV1Message
    elif opcode == 'e': self._v1HandleEventInd(codec, seq)
  File "/usr/lib64/python2.6/site-packages/qmf/console.py", line 3378, in _v1HandleEventInd
    self.unsolicitedContext.doEvent(event)
  File "/usr/lib64/python2.6/site-packages/qmf/console.py", line 3768, in doEvent
    self.notifiable(qmf_event=data)
  File "/usr/lib64/python2.6/site-packages/qmf/console.py", line 3105, in __call__
    self.session.console.event(self.broker, event)
  File "/usr/bin/qpid-printevents", line 33, in event
    print event
  File "/usr/lib64/python2.6/site-packages/qmf/console.py", line 3949, in __repr__
    out += " broker=" + self.broker.getUrl()
TypeError: cannot concatenate 'str' and 'instance' objects
Comment 1 Justin Ross 2012-04-05 10:36:50 EDT
https://issues.apache.org/jira/browse/QPID-3919
Comment 4 Frantisek Reznicek 2012-04-11 03:35:55 EDT
Issue has been fixed, tested on RHEL 5.8 / 6.2 i[36]86 / x86_64 on packages:
  python-qpid-0.14-6.el5
  python-qpid-qmf-0.14-7.el5
  python-saslwrapper-0.10-4.el5
  qpid-cpp-*-0.14-15.el5
  qpid-java-*-0.14-3.el5
  qpid-qmf*-0.14-7.el5
  qpid-tests-0.14-1.el5
  qpid-tools-0.14-2.el5
  rh-qpid-cpp-tests-0.14-15.el5
  ruby-qpid-qmf-0.14-7.el5
  ruby-saslwrapper-0.10-4.el5
  saslwrapper*-0.10-4.el5
  sesame-1.0-3.el5

-> VERIFIED

Note You need to log in before you can comment on or make changes to this bug.